LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 12-27-2002, 05:07 PM   #1
pollux0
LQ Newbie
 
Registered: Dec 2002
Posts: 10

Rep: Reputation: 0
why is perl such a pian to install??? Please advise!


I am trying to install pop3-before-smtp and of couce i need perl and some perl mods installed. It seems that there are over a dozen RPMs i need to install to satisfy "dependecies" and files to install pop3-before-smtp .

I also get many "conflicts". For example I have a new version of openssl installed but i need files that are in the older verion of openssl. When i try and rpm the old version....i get a conflict error. Is there a "everything for perl" rpm out there that will stop such a mess? Do you people have similar problems? How do you deal?
 
Old 12-27-2002, 05:20 PM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,378

Rep: Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963Reputation: 1963
you get the perl rpm and run

rpm -Uvh perl.rpm

then read the dependencies and download them from rpmfind.net or many many other places. then run

rpm -Uvh perl.rpm dep1.rpm dep2.rpm

etc... until all the dependencies are taken care of. Some distros (you'rs isn't given.. please fill in your profile) use the urpm system which can automatically download from the net. but it's really not that hard.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
thin client install .. advise/vendor sought fredcll Linux - Enterprise 5 09-15-2005 05:01 PM
UBER-Newbie Wants To Attempt A Debian Install - PLEASE ADVISE Rexversusu Linux - Newbie 9 10-23-2004 12:36 PM
Advise for debian install with winxp and slack insyte Debian 6 08-13-2004 12:58 PM
Cannot log into fresh install of MySQL. Please advise. jdruin Linux - Software 3 06-22-2004 10:52 PM
Trying to install Redhat7.3 after advise offered jeffy240 Linux - Newbie 9 10-21-2002 02:16 PM


All times are GMT -5. The time now is 02:53 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration